Bug 146089 - 20050115 ptrace/kill and ptrace/dump race fixes
20050115 ptrace/kill and ptrace/dump race fixes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
impact=low,public=20050115
: Security
Depends On:
Blocks: 137160 145334
  Show dependency treegraph
 
Reported: 2005-01-25 05:25 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-08 11:13:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case for case #3 (exec deadlock) (2.29 KB, text/plain)
2005-10-31 14:10 EST, Roland McGrath
no flags Details

  None (edit)
Description Mark J. Cox (Product Security) 2005-01-25 05:25:39 EST
On 20050115, Roland commited a number of fixes to 2.6-bk in order to correct
races.  We've not investigated the impact of these issues but they look from the
descriptions like they could lead to and unprivileged user deadlocking a system
(DoS, crash).  Please let us know if this is incorrect.

        1. fix coredump_wait deadlock with ptracer & tracee on shared mm
        fixed=2.6-bk (20050115 cset@41e9a97cuQ7FWekabtf12Orvpfbp1w)
        2. fix race between core dumping and exec with shared mm
        fixed=2.6-bk (20050115 cset@41e9a98dJKJjUrTCrKsyak1DOQxQug)
        3. fix exec deadlock when ptrace used inside the thread group
        fixed=2.6-bk (20050115 cset@41e9a99fugWWHLAKeLYyNRl6h9RHlg)
        4. clear false pending signal indication in core dump
        fixed=2.6-bk (20050115 cset@41e9a9bcwYGXPK_HRWKybNR060H80g)

(Prefix cset@ with http://linux.bkbits.net:8080/linux-2.6/ for a direct link
to each fix)
Comment 3 Mark J. Cox (Product Security) 2005-01-26 16:11:49 EST
Agreed, this can be deferred.
Comment 4 Jay Turner 2005-04-16 14:29:38 EDT
Patches confirmed in 2.6.9-6.37.EL.  Moving to PROD_READY.
Comment 5 Tim Powers 2005-06-08 11:13:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-420.html
Comment 6 Roland McGrath 2005-10-31 14:10:53 EST
Created attachment 120583 [details]
test case for case #3 (exec deadlock)

For regression testing, this is my test case for the #3 scenario, an exec that
leaves an unkillable stopped process.

Note You need to log in before you can comment on or make changes to this bug.